searchNodes=[{"ref":"Cards.html","title":"Cards","type":"module","doc":"Provides methods for creating and handling a deck of cards."},{"ref":"Cards.html#contains?/2","title":"Cards.contains?/2","type":"function","doc":"Returns true if deck contains a given card, otherwise false. Examples iex&gt; deck = Cards.create_deck iex&gt; Cards.contains?(deck, &quot;Ace of Hearts&quot;) true iex&gt; Cards.contains?(deck, &quot;Eleven of Hearts&quot;) false"},{"ref":"Cards.html#create_deck/0","title":"Cards.create_deck/0","type":"function","doc":"Generates a standard 52-card deck as a list of strings. Examples iex&gt; length(Cards.create_deck) 52"},{"ref":"Cards.html#deal/2","title":"Cards.deal/2","type":"function","doc":"Divides a deck into a hand and the remainder of the deck. The hand_size argument indicates how many cards should be in the hand. Returns a tuple with two lists. The first list contains number of cards split from the deck. The second list contains the remaining deck of cards. This function utilizes the Elixir Enum module split function. Examples iex&gt; deck = Cards.create_deck iex&gt; {hand, _deck} = Cards.deal(deck, 2) iex&gt; hand [&quot;Ace of Diamonds&quot;, &quot;Ace of Hearts&quot;]"},{"ref":"Cards.html#hand/1","title":"Cards.hand/1","type":"function","doc":"Returns a tuple with {hand, deck} where hand has hand_size number of cards. Examples iex&gt; {hand, _deck} = Cards.hand(2) iex&gt; length(hand) 2"},{"ref":"Cards.html#load/1","title":"Cards.load/1","type":"function","doc":"Load a deck of cards from the specified filename. If the file does not exist Examples iex&gt; {hand, _deck} = Cards.hand(3) iex&gt; Cards.save(hand, &quot;deck.txt&quot;) iex&gt; deck = Cards.load(&quot;deck.txt&quot;) iex&gt; length(deck) 3 iex&gt; Cards.load(&quot;fake_deck.txt&quot;) &quot;File &#39;fake_deck.txt&#39; does not exist&quot;"},{"ref":"Cards.html#save/2","title":"Cards.save/2","type":"function","doc":"Save a deck of cards to the specified filename for future access. Examples iex&gt; deck = Cards.create_deck iex&gt; Cards.save(deck, &quot;deck.txt&quot;) :ok"},{"ref":"Cards.html#shuffle/1","title":"Cards.shuffle/1","type":"function","doc":"Shuffles a deck of cards using the Elixir Enum module shuffle function. Examples iex&gt; deck = Cards.create_deck iex&gt; shuffled_deck = Cards.shuffle(deck) iex&gt; deck != shuffled_deck true"}]